%define mod_name  eaccelerator
%define mod_ver   0.9.5.3

%define php_apiv  %((echo 0; php -i 2>/dev/null | grep "PHP API"        | tr -d '[:alpha:][:punct:][:blank:]') | tail -1)
%define php_zendv %((echo 0; php -i 2>/dev/null | grep "PHP Extension"  | tr -d '[:alpha:][:punct:][:blank:]') | tail -1)
%define php_zendx %((echo 0; php -i 2>/dev/null | grep "Zend Extension" | tr -d '[:alpha:][:punct:][:blank:]') | tail -1)
%define php_ver   %(php-config --version 2>/dev/null || echo 0)
%define php_extd  %(php-config --extension-dir 2>/dev/null || echo 'None')

%define sel_modn  selinux-policy-addon
%define sel_modv  0.2.0


Summary:          A free open source PHP accelerator
Name:             php-%{mod_name}
Version:          %{mod_ver}
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            System Environment/Libraries
Source0:          http://bart.%{mod_name}.net/source/%{mod_ver}/%{mod_name}-%{mod_ver}.tar.bz2
Source1:          %{name}.ini
Source2:          %{name}.conf
Patch0:           %{mod_name}-0.9.5.2-paths.patch
Patch1:           %{mod_name}-0.9.5.2-bugreport.patch
URL:              http://%{mod_name}.net/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Bart Vanbrabant <zoeloelip@users.sourceforge.net>
Provides:         php-accelerator
Requires:         php = %{php_ver}
Requires(postun): /sbin/service
BuildRequires:    automake libtool m4 php-devel >= 4

%description
eAccelerator is a free open-source PHP accelerator, optimizer, and dynamic
content cache. It increases performance of PHP scripts by caching them in
their compiled state, so that the overhead of compiling is almost completely
eliminated. It also optimizes scripts to speed up their execution. This
typically reduces server load and increases the speed of your PHP code by
1-10 times. eAccelerator was born in December 2004 as a fork of the Turck
MMCache project.


%package          selinux
Summary:          SELinux support for %{name}
Group:            System Environment/Base
Requires:         %{name} = %{version}-%{release}
Requires:         %{sel_modn} >= %{sel_modv}
Requires(post):   /sbin/restorecon %{_sbindir}/selinuxenabled /sbin/fixfiles

%description      selinux
This package enables %{name} to work with SELinux.


%prep
%setup -q -n %{mod_name}-%{mod_ver}
%patch0 -p1
%patch1 -p1


%build
phpize

%configure \
	--enable-eaccelerator=shared        \
	--with-eaccelerator-sessions        \
	--with-eaccelerator-content-caching \
	--with-eaccelerator-disassembler    \
	--without-eaccelerator-use-inode

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{mod_name}/scripts
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/cache/%{mod_name}

%{__make} \
	INSTALL_ROOT=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d/%{mod_name}.ini
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/%{mod_name}.conf

for FILE in PHP_Highlight bugreport control dasm encoder; do
  %{__install} ${FILE}.php ${RPM_BUILD_ROOT}%{_datadir}/%{mod_name}/scripts
done


%post selinux
if /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
  /sbin/fixfiles   -R %{name} restore
  /sbin/restorecon -R %{_localstatedir}/cache/%{mod_name}
fi


%postun
# Restart after erase/upgrade
/sbin/service httpd condrestart >/dev/null 2>&1 || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{mod_name}.conf
%config(noreplace) %{_sysconfdir}/php.d/%{mod_name}.ini
%{php_extd}/%{mod_name}.so
%dir %{_datadir}/%{mod_name}
%attr(750,root,apache) %dir %{_datadir}/%{mod_name}/scripts
%attr(640,root,apache) %config(noreplace) %dir %{_datadir}/%{mod_name}/scripts/*.php
%attr(750,apache,apache) %dir %{_localstatedir}/cache/%{mod_name}

%files selinux
%defattr(-,root,root)


%changelog
* Fri Jul 25 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.5.3-1
- New version (0.9.5.3)

* Sat Apr 19 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.5.2-4
- Rewritten for buildsystem
- Added SELinux package

* Sun Jan 20 2008 peter.pramberger@member.fsf.org 0.9.5.2-3
- removed PHP release dependency

* Sat Dec 15 2007 peter.pramberger@member.fsf.org 0.9.5.2_4.3.9.3.22.9-2
- created
